Announcement

Collapse
No announcement yet.

Catalyst 11.12 Driver released

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Catalyst 11.12 Driver released

    I just noticed catalyst 11.12 for Windows floating through the net. So i looked up the Linux driver and it's there:

    http://www2.ati.com/drivers/linux/at...x86.x86_64.run

    Haven't tried it yet, later this evening.

  • #2
    Nothing new

    For me and my oldie hd4850 it does work exactly the same as 11.11...
    - GNOME3 support still sux,
    - using xv video output causes X to crash,
    and where is (mentioned here on phoronix) GL_ARB_robustness extension?

    So dissapointed...

    Comment


    • #3
      Originally posted by Vi0L0 View Post
      For me and my oldie hd4850 it does work exactly the same as 11.11...
      - GNOME3 support still sux,
      - using xv video output causes X to crash,
      and where is (mentioned here on phoronix) GL_ARB_robustness extension?

      So dissapointed...
      Same shit for me on Fedora 16/64 on my notebook with ATI HD56750. With Gnome 3 I get same "artifacts" on screen.
      It's unbelievable, i they are unable to make an affordable driverpack for linux. (I don't remember, when Gnome 3 published... maybe more than 6 months ago ?)

      Uninstalling now...

      Comment


      • #4
        Originally posted by paulf
        im using a 4890.

        edit2 - tiny concern
        was expecting opengl 4.xxxx
        OpenGL version string: 3.3.11318
        AFAIK R700 only supports OpenGL 3.x

        Comment


        • #5
          Originally posted by Reader69 View Post
          Same shit for me on Fedora 16/64 on my notebook with ATI HD56750. With Gnome 3 I get same "artifacts" on screen.
          It's unbelievable, i they are unable to make an affordable driverpack for linux. (I don't remember, when Gnome 3 published... maybe more than 6 months ago ?)

          Uninstalling now...
          You can work around the video playback issue by downgrading Xorg to the packages from fc15. Specifically, the xorg-x11-drv* and xorg-x11-server* packages. Use 'yum downgrade' to do that.

          I think we'll have to wait until RHEL ships gnome-shell to see an improvement on that front. That's gotta be what - 2 or 3 years from now?

          Comment


          • #6
            That driver just added a few more pci ids and no noticeable fixes. Even for win you can skip that driver completely as gamers are already told to use the new 12.1 preview. Just where is the 12.1 preview for Linux...?

            Comment


            • #7
              I would really welcome such minor releases, in particular for major bugs which shouldn't take 3+ month to be fixed.
              Otherwise, they could keep the current stable cycle and *additionally* release unsupported beta drivers.
              I don't see what's behind this fully closed beta thing. At least a selection of beta drivers could be distributed officially.

              Comment


              • #8
                fglrx is unusable for me right now.
                its crawling through unity and has serious problems rendering anything with an acceptable framerate.

                Comment


                • #9
                  Originally posted by Pfanne View Post
                  fglrx is unusable for me right now.
                  its crawling through unity and has serious problems rendering anything with an acceptable framerate.
                  Add the following PPAs:

                  ppa:vanvugt/compiz
                  ppa:vanvugt/unity

                  Daniel van Vugt is the guy that fixes all the performance problems of Compiz & Unity LIKE A BOSS. So far with his PPA versions you will have about 10 or so performance fixes which make Unity & Compiz so much faster, try it. Also some of them are already upstream for Ubuntu 12.04 and the rest is following soon while is continues working on them.

                  Comment


                  • #10
                    11.12 installed but fglrxinfo still report 11.10!



                    Reinstalled again. Still 11.10. Purged and reinstalled. Still 11.10!

                    I'm installing fglrx 11.12 (fglrx_8.920-0ubuntu1_i386.deb) generated from installer.
                    Kubuntu 11.10.

                    Help! (I do not even know what to ask google )

                    Comment

                    Working...
                    X